- include_role:
    name: commons
    tasks_from: helpers/imagestream.yaml
  vars:
    is_name: "{{ agent.name }}"
  when:
  - k8s_flavor == 'openshift'
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: "{{ agent.name }}"
    bc_context: "{{ agent.context | default(False) }}"
    bc_cpu_limit: "{{ agent.cpulimit | default('100m') }}"
    bc_cpu_request: "{{ agent.cpurequest | default('100m') }}"
    bc_forcepull: "{{ agent.forcepull | default('false') }}"
    bc_fromimage: "{{ agent.fromimage | default(False) }}"
    bc_fromkind: "{{ agent.fromkind | default('DockerImage') }}"
    bc_memory_limit: "{{ agent.memorylimit | default('256Mi') }}"
    bc_memory_request: "{{ agent.memoryrequest | default('256Mi') }}"
    bc_ref: "{{ agent.ref | default('master') }}"
    bc_secret: "{{ agent.secret | default(False) }}"
    bc_source: "{{ agent.source }}"
    bc_toimage: "{{ agent.name }}"
    bc_tokind: "{{ agent.tokind | default('ImageStreamTag') }}"
    bc_type: Docker
